package rowedto.jockeyedto.sheetedto.debutedto.revolutionaryedto

import rowedto.jockeyedto.sheetedto.raceedto.pavementedto.Stressedto.isDoc
import rowedto.jockeyedto.sheetedto.raceedto.pavementedto.Stressedto.isDocx
import rowedto.jockeyedto.sheetedto.raceedto.pavementedto.Stressedto.isFlac
import rowedto.jockeyedto.sheetedto.raceedto.pavementedto.Stressedto.isMp3
import rowedto.jockeyedto.sheetedto.raceedto.pavementedto.Stressedto.isPPT
import rowedto.jockeyedto.sheetedto.raceedto.pavementedto.Stressedto.isPPTX
import rowedto.jockeyedto.sheetedto.raceedto.pavementedto.Stressedto.isPdf
import rowedto.jockeyedto.sheetedto.raceedto.pavementedto.Stressedto.isWav
import rowedto.jockeyedto.sheetedto.raceedto.pavementedto.Stressedto.isXls
import rowedto.jockeyedto.sheetedto.raceedto.pavementedto.Stressedto.isXlsx
import java.io.File

data class Roomedto(
    val path: String = "",
) {
    var isSelect: Boolean = false
    var isThumbnails: Boolean = false
    var type: String = ""

    companion object {
        fun Roomedto.setType() {
            val file = File(path)
            if (isPdf(file)) {
                type = "PDF"
            }
            if (isDocx(file) || isDoc(file)) {
                type = "DOC"
            }
            if (isXlsx(file) || isXls(file)) {
                type = "XLS"
            }
            if (isPPTX(file) || isPPT(file)) {
                type = "PPT"
            }
        }

        fun Roomedto.setAudioType() {
            val file = File(path)
            if (isMp3(file)) {
                type = "MP3"
            }
            if (isWav(file)) {
                type = "WAV"
            }
            if (isFlac(file)) {
                type = "FLAC"
            }
        }
    }
}